Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.intel.cosbench.config
Class Mission

    java.lang.Object
      com.intel.cosbench.config.Mission

All Implemented Interfaces:
  java.lang.Iterable<Operation>

    public class Mission

extends java.lang.Object
implements java.lang.Iterable<Operation>

The class encapsulates the mission delivering to driver.

Author:
  ywang19

Constructor Summary
`Mission()`

Method Summary
`Auth` | `getAuth()`
`java.lang.String` | `getDivision()`
`int` | `getInterval()`
`java.lang.String` | `getName()`
`int` | `getOffset()`
`java.util.List<Operation>` | `getOperations()`
`int` | `getRampdown()`
`int` | `getRampup()`
`int` | `getRuntime()`
`Storage` | `getStorage()`
`long` | `getTotalBytes()`
`int` | `getTotalOps()`
`int` | `getTotalWorkers()`
`int` | `getWorkers()`
`java.util.Iterator<Operation>` | `iterator()`
`void` | `setAuth(Auth auth)`
`void` | `setDivision(java.lang.String division)`
`void` | `setInterval(int interval)`
`void` | `setName(java.lang.String name)`
`void` | `setOffset(int offset)`
`void` | `setOperations(java.util.List<Operation> operations)`
`void` | `setRampdown(int rampdown)`
`void` | `setRampup(int rampup)`
`void` | `setRuntime(int runtime)`
`void` | `setStorage(Storage storage)`
`void` | `setTotalBytes(long totalBytes)`
`void` | `setTotalOps(int totalOps)`
`void` | `setTotalWorkers(int totalWorkers)`
`void` | `setWorkers(int workers)`
`void` | `validate()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Mission

    public Mission()

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getWorkers

    public int getWorkers()

### setWorkers

    public void setWorkers(int workers)

### getOffset

    public int getOffset()

### setOffset

    public void setOffset(int offset)

### getInterval

    public int getInterval()

### setInterval

    public void setInterval(int interval)

### getDivision

    public java.lang.String getDivision()

### setDivision

    public void setDivision(java.lang.String division)

### getRuntime

    public int getRuntime()

### setRuntime

    public void setRuntime(int runtime)

### getRampup

    public int getRampup()

### setRampup

    public void setRampup(int rampup)

### getRampdown

    public int getRampdown()

### setRampdown

    public void setRampdown(int rampdown)

### getTotalOps

    public int getTotalOps()

### setTotalOps

    public void setTotalOps(int totalOps)

### getTotalBytes

    public long getTotalBytes()

### setTotalBytes

    public void setTotalBytes(long totalBytes)

### getTotalWorkers

    public int getTotalWorkers()

### setTotalWorkers

    public void setTotalWorkers(int totalWorkers)

### getAuth

    public Auth getAuth()

### setAuth

    public void setAuth(Auth auth)

### getStorage

    public Storage getStorage()

### setStorage

    public void setStorage(Storage storage)

### getOperations

    public java.util.List<Operation> getOperations()

### setOperations

    public void setOperations(java.util.List<Operation> operations)

### iterator

    public java.util.Iterator<Operation> iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable<Operation>`

### validate

    public void validate()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD